Package cx.ath.matthew.unix

# Class UnixIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
cx.ath.matthew.unix.UnixIOException

All Implemented Interfaces:
  `Serializable`

public class UnixIOException extends IOException
An IO Exception which occurred during UNIX Socket IO

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnixIOException(int no, String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnixIOException

public UnixIOException(int no, String message)